<?php

namespace App\Models;

use App\Scopes\InstancedModel;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class EventParticipantOption extends InstancedModel
{
    protected $table = 'event_participant_options';

    protected $fillable = [
        'tenant',
        'event_id',
        'event_participant_id',
        'question_key',
        'question_label',
        'value',
        'value_label',
    ];

    public function event(): BelongsTo
    {
        return $this->belongsTo(Event::class);
    }

    public function participant(): BelongsTo
    {
        return $this->belongsTo(EventParticipant::class, 'event_participant_id');
    }
}
